from random import randint

x = randint(1, 100)
y = randint(1, 100)

print(f'Wylosowane liczby: x = {x} , y = {y}')

# Podstawowa postać ifa: dwie głęzie if i else.
# Python wykona albo jedną, albo drugą cześć w zależności od prawdziwości warunku.
if x >= 50:
    print('x ma wartość co najmniej 50')
    print('czyli jest w większej połowie')
else:
    print('x jest mniejszy od 50')

print('To się zawsze wypisze')
print()

# Sam if bez else:
# Jeśli prawda - to instrukcje się wykonają
# Jeśli nieprawda - instrukcje się nie wykonają (ale program działa dalej)
if x % 2 == 0:
    print(f'{x} jest liczbą parzystą')

print('=' * 40 + '\n')

# if - elif - else
# Python po kolei będzie sprawdzał warunki i wykona tę część programu, która jest za pierwszym prawdziwym warunkiem
# Ważne! Do kolejnych sprawdzeń przechodzimy tylko wtedy, gdy wcześniejsze były nieprawdą.
if x > y:
    print(f'x jest większy od y, bo {x} > {y}')
elif x < y:
    print(f'y jest większy od x, bo {x} < {y}')
else:
    print(f'x i y są równe i mają wartość {x}')
print()

# elifów może być więcej

# ify (tak jak wszystkie inne konstrukcje Pythona) można zagnieżdżać

if x < 50:
    if y < 50:
        print('Obie liczby, x i y, są mniejsze niż 50')
    else:
        print('x < 50 , y >= 50')
else:
    if y < 50:
        print('x >= 50 , y < 50')
    else:
        print('obie liczby są >= 50')

# Generalnie nie należy przesadzać z poziomami zagnieżdżenia - im więcej, tym mniej czytelny program.

# Operatory porównania:
# równe ==
if x == y:
    print('liczby są równe')

# nierówne
if x != y:
    print('liczby nie są równe')

# < <= > >=

# element należy do zbioru:
miasta = ['Warszawa', 'Wrocław', 'Poznań']
m = 'Sochaczew'
if m in miasta:
    print(f'{m} należy do listy {miasta}')
else:
    print(f'{m} nie należy do listy {miasta}')


